const baseUrl = '/api'

// if (process.env.NODE_ENV === 'testing') {
//     // baseUrl = store.state.apiTestUrl + 'api';
// } else if (process.env.NODE_ENV === 'production') {
//     // baseUrl = store.state.apiUrl + 'api';
//     baseUrl = '/api'
// }

// todo: url
// const httpUrl = 'https://fhxmtest.xueyoubangedu.com' // 测试接口
// const h5Url = 'http://fhxmtest.h5.xueyoubangedu.com' // 测试h5线上地址
const httpUrl = 'https://fenghexm.xueyoubangedu.com' // 正式接口
const h5Url = 'http://depository.fhxmcy.com' // 正式h5线上地址

export default {
    // url地址
    WINDOWHREF_LOGIN: `${httpUrl}/api/scm/login?callBack=${h5Url}/login&scopes=snsapi_base&type=1`,
    WINDOWHREF_LOGIN_ROUTE: `${httpUrl}/api/scm/login?callBack=${window.location.href}&scopes=snsapi_base&type=1`,
    WINDOWHREF_INDEX: `${httpUrl}/api/scm/login?callBack=${h5Url}&scopes=snsapi_base&type=1`,
    WINDOWHREF_ASK: `${httpUrl}/api/scm/login?callBack=${h5Url}&scopes=snsapi_userinfo&type=1`,

    // 登录相关
    SENDCODE: baseUrl + '/scm/send', // 发送验证码
    BINDLOGIN: baseUrl + '/scm/bind/login', // 绑定后台账号
    BINDLOGINTWO: baseUrl + '/scm/bind/login/two', // 绑定后台账号
    REFRESHTOKEN: baseUrl + '/scm/change/token', // 更新token
    LOGOUT: baseUrl + '/scm/logout', // 更新token

    // 首页
    WARNGOODS: baseUrl + '/scm/warn_goods/today', // 今日预警
    WARNGOODSADD: baseUrl + '/scm/warn_goods/addCars', // 采购预警-点击将商品添加至购物车
    SUPPLIER: baseUrl + '/scm/supplier/my', // 机构列表
    CHANGE_SUPPLIER: baseUrl + '/scm/change_agency', // 切换机构
    TIPSNUM: baseUrl + '/scm/home/index', // 首页提示数量

    // 消息
    NOTICELIST: baseUrl + '/scm/notice/list', // 消息

    // 个人中心
    WXLIST: baseUrl + '/scm/supplier/wx_list', // 获取机构绑定的微信列表
    SUPPLIWRDETAIL: baseUrl + '/scm/supplier/detail', // 获取机构详情

    // //////////////////// 筛选 列表 /////////////////////
    PROVIDERLIST: baseUrl + '/scm/purchase_return/get_providers', // 供应商列表
    SHOPLIST: baseUrl + '/scm/supplier_trade_return/get_shop_list', // 商铺列表

    // //////////////////// 采购管理 /////////////////////
    // 采购计划
    CATE: baseUrl + '/scm/cates', // 采购计划分类列表
    CATEGOODS: baseUrl + '/scm/goods', // 采购计划分类商品列表 搜索商品列表
    CHANGECART: baseUrl + '/scm/car_goods', // 更改购物车数量
    CARTLIST: baseUrl + '/scm/cars', // 购物车列表
    CLEARCART: baseUrl + '/scm/clear_car', // 清空购物车
    ADDPLAN: baseUrl + '/scm/add_plan', // 提交采购计划
    PLANLIST: baseUrl + '/scm/plan_list', // 采购计划列表
    PURCHASE_DETAIL: baseUrl + '/scm/purchase_detail', // 详情 1：采购计划，2：采购订单，3：入库订单
    PLANAUDIT: baseUrl + '/scm/audit', // 采购计划-审核
    PLANDELETE: baseUrl + '/scm/del', // 采购计划-删除
    PLANBILLS: baseUrl + '/scm/bills', // 相关单据
    // 采购订单
    PURORDERLIST: baseUrl + '/scm/order_list', // 采购订单列表
    PURORDERCANCEL: baseUrl + '/scm/order_cancel', // 采购订单-取消
    // 入库订单
    ENTRYLIST: baseUrl + '/scm/purchase/into/storehouses/list', // 入库订单列表
    ENTRYGOODS: baseUrl + '/scm/purchase/into/storehouses/goods', // 入库商品列表
    ENTRYCHECK: baseUrl + '/scm/order_store', // 验收入库详情
    PURENTRY: baseUrl + '/scm/order_intostore', // 验收入库

    // //////////////////// 销售管理 /////////////////////
    SALELIST: baseUrl + '/scm/supplier_trade/list', // 销售列表
    SALEDETAIL: baseUrl + '/scm/supplier_trade/operation_out', // 销售详情
    SALE_EDIT_DETAIL: baseUrl + '/scm/supplier_trade/detail', // 销售编辑详情
    SALE_EDIT_SAVE: baseUrl + '/scm/supplier_trade/alter', // 销售编辑详情
    SALEOUT: baseUrl + '/scm/supplier_trade/out', // 验收出库
    SALEGOODSLIST: baseUrl + '/scm/supplier_trade_good/goods_list', // 销售商品

    // //////////////////// 档案管理 /////////////////////
    // 调价
    ADJUSTPRICE: baseUrl + '/scm/adjust/price/list', // 调价列表
    ADJUSTPRICEDETAIL: baseUrl + '/scm/adjust/price/detail', // 调价详情
    ADJUSTPRICEGOODS: baseUrl + '/scm/adjust/price/goods', // 调价商品列表
    // 调库
    ADJUSTSTOCK: baseUrl + '/scm/adjust/stock/list', // 调库列表
    ADJUSTSTOCKDETAIL: baseUrl + '/scm/adjust/stock/detail', // 调库列表详情
    ADJUSTSTOCKGOODS: baseUrl + '/scm/adjust/stock/goods', // 调库商品列表

    // //////////////////// 运维管理 /////////////////////
    // 采购退货
    PURCHASERETURN: baseUrl + '/scm/purchase_return/list', // 采购退货列表
    PURCHASERETURN_DETAIL: baseUrl + '/scm/purchase_return/details', // 采购退货详情
    PURCHASERETURN_CREATE: baseUrl + '/scm/purchase_return/create', // 采购退货添加
    PURCHASERETURN_DETELE: baseUrl + '/scm/purchase_return/destroy', // 采购退货删除
    PURCHASERETURN_EDIT: baseUrl + '/scm/purchase_return/edit', // 采购退货编辑
    PURCHASERETURN_CHECK: baseUrl + '/scm/purchase_return/check', // 采购退货审核
    // 销售退货
    SALERETURN: baseUrl + '/scm/supplier_trade_return/list', // 销售退货列表
    SALERETURN_DETAIL: baseUrl + '/scm/supplier_trade_return/details', // 销售退货详情
    SALERETURN_CREATE: baseUrl + '/scm/supplier_trade_return/create', // 销售退货添加
    SALERETURN_EDIT: baseUrl + '/scm/supplier_trade_return/edit', // 销售退货编辑
    SALERETURN_DELETE: baseUrl + '/scm/supplier_trade_return/destroy', // 销售退货删除
    SALERETURN_CHECK: baseUrl + '/scm/supplier_trade_return/check', // 销售退货审核
    // 商品档案
    GOODSCLASS: baseUrl + '/scm/goods_record', // 商品档案列表
    // 赠送入库
    FREELIST: baseUrl + '/scm/free/gift/storage/list', // 赠送入库列表
    FREE_CREATE: baseUrl + '/scm/free/gift/storage/stock', // 赠送入库新增
    FREE_CHECK: baseUrl + '/scm/free/gift/storage/check', // 赠送入库审核
    FREE_DELETE: baseUrl + '/scm/free/gift/storage/delete', // 赠送入库删除
    GOODS_ADD_CHOOSE: baseUrl + '/scm/free/gift/storage/goods/list', // 搜索商品-添加商品页
    // 协助订单
    ASSIST_CREATE: baseUrl + '/scm/help/add_trade', // 协助订单列表
    ASSIST_LIST: baseUrl + '/scm/help/trade_list', // 协助订单列表
    ASSIST_DETAIL: baseUrl + '/scm/help/trade_detail', // 协助订单详情
    ASSIST_DETELE: baseUrl + '/scm/help/trade_del', // 协助订单删除
    ASSIST_CODE: baseUrl + '/scm/help/pay_code' // 协助订单扫码支付

}
