import axios from 'axios'
import apiList from './apiList'
export function updateToken (cb, errcb) {
    axios
        .post(apiList.REFRESHTOKEN, null, {
            headers: {
                token: window.localStorage.getItem('token'),
                type: 1
            }
        })
        .then((response) => {
            if (response.status === 200) {
                const curdata = response.data
                const code = curdata.code
                const msg = curdata.msg
                console.log('换取token ' + code + ' --- ' + msg)
                if (code === 200) {
                    window.localStorage.setItem('token', curdata.data.token)
                    console.log(
                        '获取保存的token ' + window.localStorage.getItem('token')
                    )
                    typeof cb === 'function' && cb()
                } else {
                    console.log('token换取失败-------', curdata)
                    typeof errcb === 'function' && errcb(curdata)
                }
            }
        })
        .catch((error) => {
            console.log('换取token失败 ' + error, '----------------')
            typeof errcb === 'function' && errcb(error)
        })
};
