export default {
    purchase: [
        {
            name: 'purchase_plan',
            title: '采购计划',
            icon: require('@assets/images/index/icon1-plan.png'),
            page: 'purchasePlan',
            num: 0
        },
        {
            name: 'purchase_order',
            title: '采购订单',
            icon: require('@assets/images/index/icon1-order.png'),
            page: 'purchaseOrder',
            num: 0
        },
        {
            name: 'purchase_ruku',
            title: '入库订单',
            icon: require('@assets/images/index/icon1-ruku.png'),
            page: 'purchaseEntry',
            num: 0
        },
        {
            name: 'purchase_goods',
            title: '入库商品',
            icon: require('@assets/images/index/icon1-goods.png'),
            page: 'goodsList',
            params: 'entry',
            num: 0
        }
    ],
    sale: [
        {
            name: 'purchase_plan',
            title: '销售订单',
            icon: require('@assets/images/index/icon2-sale-order.png'),
            page: 'saleOrder',
            num: 0
        },
        {
            name: 'purchase_order',
            title: '销售商品',
            icon: require('@assets/images/index/icon2-sale-goods.png'),
            page: 'saleGoodsList',
            params: 'sale',
            num: 0
        },
        {
            name: 'purchase_ruku',
            title: '出库订单',
            icon: require('@assets/images/index/icon2-chuku.png'),
            page: 'saleOutOrder',
            num: 0
        },
        {
            name: 'purchase_goods',
            title: '出库商品',
            icon: require('@assets/images/index/icon2-chuku-goods.png'),
            page: 'saleOutGoodsList',
            params: 'out',
            num: 0
        }
    ],
    archives: [
        {
            name: 'purchase_plan',
            title: '调价清单',
            icon: require('@assets/images/index/icon3-adjust-price.png'),
            page: 'adjustPrice',
            num: 0
        },
        {
            name: 'purchase_order',
            title: '调价商品',
            icon: require('@assets/images/index/icon3-adjust-goods.png'),
            page: 'adjustPriceGoods',
            num: 0
        },
        {
            name: 'purchase_ruku',
            title: '调库清单',
            icon: require('@assets/images/index/icon3-stock.png'),
            page: 'adjustStock',
            num: 0
        },
        {
            name: 'purchase_goods',
            title: '调库商品',
            icon: require('@assets/images/index/icon3-goods.png'),
            page: 'adjustStockGoods',
            num: 0
        }
    ],
    devops: [
        {
            name: 'purchase_plan',
            title: '商品档案',
            icon: require('@assets/images/index/icon4-goods-list.png'),
            page: 'goods',
            num: 0
        },
        {
            name: 'purchase_order',
            title: '采购退货',
            icon: require('@assets/images/index/icon4-purchase.png'),
            page: 'purchaseReturn',
            num: 0
        },
        // todo: 采购换货 -- 首页num需要修改
        // {
        //     name: 'purchase_ruku',
        //     title: '采购换货',
        //     icon: require('@assets/images/index/icon4-exchange.png'),
        //     page: 'purchaseExchange',
        //     num: 0
        // },
        {
            name: 'purchase_ruku',
            title: '销售退货',
            icon: require('@assets/images/index/icon4-sale.png'),
            page: 'saleReturn',
            num: 0
        },
        {
            name: 'purchase_goods',
            title: '赠送入库',
            icon: require('@assets/images/index/icon4-free.png'),
            page: 'freeList',
            num: 0
        },
        {
            name: 'purchase_goods',
            title: '协助订单',
            icon: require('@assets/images/index/icon4-goods.png'),
            page: 'assistList',
            num: 0
            // tips: true
        }
    ]
}
