import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        shop: null
    },
    mutations: {
        // 处理状态（methods，同步）
        setShop: (state, shop) => {
            state.shop = shop
        }
    },
    actions: {
        // 提交改变后的状态(异步)Action
        setShop: (context, shop) => {
            context.commit('setShop', shop)
        }
    },
    modules: {}
})
